/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("jazz.app.internal.HeadlessCredentialProvider");

/**
 * Implements a simple credential provider that always submits the user ID and
 * password which which it is constructed. 
 * 
 * @param {Object} userId the user ID to submit on a challenge
 * @param {Object} password  the password to submit on a challenge
 */
dojo.declare("jazz.app.internal.HeadlessCredentialProvider", null, {
	constructor: function(userId, password){
		if(!dojo.isString(userId) || !dojo.isString(password)) {
			throw new Error("Illegal usage: userId and password must be strings");
		}
		
		this.getCredentials = function(/*__getCredentialsArgs*/args){
			args.onSubmit(userId, password);
		};
		
		// don't allow retries; since this is headless it would cause an
		// infinite loop
		this.retryOnFailure = false;
	}
});